define([
        'Global',
        'Clinic'
    ],
    function(Global, Clinic) {
        var Clinics = Backbone.Collection.extend({
            model: Clinic,
            parse: function(response) {
                return response.schedulingClinic;
            },
            initialize: function() {
            }
        });

        Clinics.singleInstance = null;

        Clinics.instance = function () {
            Clinics.singleInstance = Clinics.singleInstance || new Clinics();
            return Clinics.singleInstance;
        };

        return Clinics;
    }
);
